chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    console.log("📥 Nhận yêu cầu từ popup.js:", message);

    if (message.action === "getCookies") {
        chrome.tabs.query({ url: "*://thesieure.com/*" }, function (tabs) {
            if (tabs.length === 0) {
                console.warn("⚠️ Không tìm thấy tab thesieure.com!");
                sendResponse({ cookies: "Hãy mở trang thesieure.com trước!" });
                return;
            }

            const domain = "https://thesieure.com/";
            const cookieNames = ["client_info", "vfw", "user_secure", "XSRF-TOKEN", "web_session"];
            let cookieString = "";

            let promises = cookieNames.map(name =>
                new Promise(resolve => {
                    chrome.cookies.get({ url: domain, name: name }, function (cookie) {
                        if (cookie) {
                            cookieString += `${cookie.name}=${cookie.value}; `;
                        }
                        resolve();
                    });
                })
            );

            Promise.all(promises).then(() => {
                if (!cookieString) {
                    console.warn("⚠️ Không tìm thấy cookies!");
                    sendResponse({ cookies: "Không tìm thấy cookies!" });
                } else {
                    sendResponse({ cookies: cookieString });
                }
            });
        });

        return true; 
    }
});
