document.addEventListener("DOMContentLoaded", function () {
    const getCookiesButton = document.getElementById("getCookies");
    const cookieResultArea = document.getElementById("cookieResult");

    getCookiesButton.addEventListener("click", function () {
        
        chrome.runtime.sendMessage({ action: "getCookies" }, function (response) {
            if (chrome.runtime.lastError) {
                console.error("❌ Lỗi giao tiếp với background.js:", chrome.runtime.lastError.message);
                cookieResultArea.value = "Không thể kết nối với background.js!";
                return;
            }
            if (response && response.cookies) {
                cookieResultArea.value = response.cookies;
                navigator.clipboard.writeText(response.cookies);
            } else {
                cookieResultArea.value = "Không lấy được cookies!";
            }
        });
    });
});
